Page MenuHomeFreeBSD

xen/intr: move sys/x86/xen/xen_intr.c to sys/xen/xen_intr.c
ClosedPublic

Authored by ehem_freebsd_m5p.com on May 12 2021, 9:37 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, May 21, 11:51 AM
Unknown Object (File)
Fri, May 10, 12:27 PM
Unknown Object (File)
Wed, May 8, 3:55 AM
Unknown Object (File)
Tue, May 7, 2:45 PM
Unknown Object (File)
Fri, May 3, 11:59 AM
Unknown Object (File)
Apr 5 2024, 1:29 AM
Unknown Object (File)
Mar 22 2024, 2:32 AM
Unknown Object (File)
Mar 2 2024, 7:22 AM

Details

Summary

Major changes are necessary to make this processor-independent, but
moving the file out of x86 and into common is the first step (to preempt
addition of further x86-isms).

Submitted by: Elliott Mitchell <ehem+freebsd@m5p.com>
Original implementation: Julien Grall <julien@xen.org>, 2014-01-13 17:41:04

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Any news on D30236?

From playing with this I'm wondering if perhaps this should instead move to sys/dev/xen/bus/intr.c instead. This file really looks like a combination of an interrupt controller and a small interface library. xen_intr_handle_upcall() is the call for servicing the interrupt on the system primary controller, which xen_intr.c then fans out to several software interrupts.

As a result this sort of acts like an interrupt controller associated with the xenpv bus. I'm wondering whether the Xen child devices should be allocating interrupts via the normal bus interface to xenpv.

Splitting this. Depending upon how things evolve, there could be a need to have the two files live side-by-side for a bit. The non-split version was okayed in e-mail.

This revision was not accepted when it landed; it landed in state Needs Review.Apr 14 2023, 2:02 PM
This revision was automatically updated to reflect the committed changes.